;InnoSetupVersion=5.3.7

[Setup]
AppName=NetWorx
AppVerName=NetWorx 5.0.8
AppId=NetWorx
AppPublisher=Softperfect Research
AppPublisherURL=http://www.softperfect.com
AppSupportURL=http://www.softperfect.com
AppUpdatesURL=http://www.softperfect.com
AppMutex=NWXMUTEX,Global\NWXMUTEX
DefaultDirName={pf}\NetWorx
DefaultGroupName=NetWorx
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\license.rtf"; DestDir: "{app}"; MinVersion: 0.0,5.0; 
Source: "{app}\networx.exe"; DestDir: "{app}"; MinVersion: 0.0,5.0; Flags: ignoreversion 
Source: "{app}\sqlite.dll"; DestDir: "{app}"; MinVersion: 0.0,5.0; 
Source: "{app}\deskband.dll"; DestDir: "{app}"; Check: "InstallDeskBand"; MinVersion: 0.0,5.0; Flags: restartreplace regserver uninsrestartdelete 
Source: "{tmp}\deskband_example.bmp"; DestDir: "{tmp}"; MinVersion: 0.0,5.0; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\enabling_deskband.bmp"; DestDir: "{tmp}"; MinVersion: 0.0,5.0; Flags: deleteafterinstall dontcopy 

[Dirs]
Name: "{commonappdata}\SoftPerfect\NetWorx"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\SoftPerfect"; MinVersion: 0.0,5.0; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\SoftPerfect\NetWorx"; MinVersion: 0.0,5.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "NetWorx"; ValueType: String; ValueData: """{app}\networx.exe"" /auto"; MinVersion: 0.0,5.0; Flags: createvalueifdoesntexist uninsdeletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "NetWorx"; MinVersion: 0.0,5.0; Flags: deletevalue 

[INI]
FileName: "{app}\networx.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.softperfect.com"; 

[Run]
Filename: "{app}\networx.exe"; Parameters: "/regserver"; StatusMsg: "Registering automation server..."; MinVersion: 0.0,5.0; 
Filename: "{app}\networx.exe"; Parameters: "/install"; StatusMsg: "Installing network driver..."; MinVersion: 0.0,5.0; 
Filename: "{app}\networx.exe"; Parameters: "/hello"; Description: "{cm:LaunchProgram,NetWorx}"; MinVersion: 0.0,5.0; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\networx.exe"; Parameters: "/uninstall"; StatusMsg: "Uninstalling network driver..."; MinVersion: 0.0,5.0; 
Filename: "{app}\networx.exe"; Parameters: "/unregserver"; StatusMsg: "Unregistering automation server..."; MinVersion: 0.0,5.0; 

[Icons]
Name: "{group}\NetWorx"; Filename: "{app}\networx.exe"; MinVersion: 0.0,5.0; 
Name: "{group}\{cm:ProgramOnTheWeb,NetWorx}"; Filename: "{app}\networx.url"; MinVersion: 0.0,5.0; 
Name: "{group}\{cm:UninstallProgram,NetWorx}"; Filename: "{uninstallexe}"; MinVersion: 0.0,5.0; 

[UninstallDelete]
Type: files; Name: "{app}\networx.url"; 
Type: files; Name: "{commonappdata}\SoftPerfect\NetWorx\*"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
